t: Text = ...,
    decode_keys: bool = ...,
    include_empty: bool = ...,
    errors: Text = ...,
    separator: str = ...,
    cls: Optional[Any] = ...,
    limit: Optional[Any] = ...,
    return_iterator: bool = ...,
): ...
def url_encode(
    obj, charset: Text = ..., encode_keys: bool = ..., sort: bool = ..., key: Optional[Any] = ..., separator: bytes = ...
): ...
def url_encode_stream(
    obj,
    stream: Optional[Any] = ...,
    charset: Text = ...,
    encode_keys: bool = ...,
    sort: bool = ...,
    key: Optional[Any] = ...,
    separator: bytes = ...,
): ...
def url_join(base, url, allow_fragments: bool = ...): ...

class Href:
    base: Any
    charset: Text
    sort: Any
    key: Any
    def __init__(self, base: str = ..., charset: Text = ..., sort: bool = ..., key: Optional[Any] = ...): ...
    def __getattr__(self, name): ...
    def __call__(self, *path, **query): ...
PK